#!/usr/bin/env node

const _commands = {
  upload: 'archive the current directory and upload to Marmot',
  genkey: 'generate new RSA key for signing',
  pack:
    'pack the content from dist folder for offline package and mini program',
  sign: 'sign the artifact generated by the pack command',
  create: 'create a new project based on templates',
};

const program = require('commander');

program
  .version(require('../package').version, '-v, --version')
  .usage('<command> [options]')
  .command('upload', _commands.upload)
  .command('genkey', _commands.genkey)
  .command('pack', _commands.pack)
  .command('sign', _commands.sign)
  .command('create', _commands.create)
  .parse(process.argv);

const subcmd = program.args[0];
if (!subcmd || !_commands[subcmd]) {
  program.help();
}
