'use strict';

const fs = require('fs');
const path = require('path');

// For archive and report
const MARMOT_SERVER_URL = process.env.MARMOT_SERVER_URL ? process.env.MARMOT_SERVER_URL.replace(/\/$/, '') : undefined;
exports.MARMOT_SERVER_URL = MARMOT_SERVER_URL;
exports.MARMOT_ACCESS_KEY_ID = process.env.MARMOT_ACCESS_KEY_ID;
exports.MARMOT_ACCESS_KEY_SECRET = process.env.MARMOT_ACCESS_KEY_SECRET;
exports.SOURCE_BUCKET_ACCESS_KEY_ID = process.env.SOURCE_BUCKET_ACCESS_KEY_ID;
exports.SOURCE_BUCKET_ACCESS_KEY_SECRET = process.env.SOURCE_BUCKET_ACCESS_KEY_SECRET;
exports.SOURCE_BUCKET_REGION = process.env.SOURCE_BUCKET_REGION || 'oss-accelerate';
exports.SOURCE_BUCKET_NAME = process.env.SOURCE_BUCKET_NAME || 'marmot-local-source';
exports.SOURCE_BUCKET_PATH_PREFIX = process.env.SOURCE_BUCKET_PATH_PREFIX || 'source/marmot-cli';
exports.UPLOAD_FILE_NAME = 'marmot-source.tgz';

// For pack and sign
exports.PACKAGE_TYPE = process.env.PACKAGE_TYPE;
exports.APP_ID = process.env.APP_ID;
exports.VERSION = process.env.VERSION;

const cwd = process.cwd();
let packInclude;
let packIgnore;
const packageJson = path.join(cwd, 'package.json');
if (fs.existsSync(packageJson)) {
  try {
    const { marmot } = require(packageJson);
    packInclude = marmot && marmot.pack && marmot.pack.include;
    packIgnore = marmot && marmot.pack && marmot.pack.ignore;
  } catch (_) {}
}

exports.PACK_INCLUDE = process.env.PACK_INCLUDE || packInclude;
exports.PACK_IGNORE = process.env.PACK_IGNORE || packIgnore;
